"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Heritable = void 0;
const events_1 = require("events");
class Heritable extends events_1.EventEmitter {
    constructor(stage, id) {
        super();
        this.id = id;
        this.stage = stage;
        this.components = [];
    }
    getComponent(ctr) {
        if (typeof ctr == "number") {
            return this.stage.netobjects.get(this.components[ctr]);
        }
        for (let i = 0; i < this.components.length; i++) {
            const component = this.stage.netobjects.get(this.components[i]);
            if (component.classname === ctr.classname) {
                return component;
            }
        }
        return null;
    }
}
exports.Heritable = Heritable;
