import { DynamicBuffer } from "../../util/DynamicBuffer";
import { Vector2 } from "../../util/Vector";
import { Networkable } from "../Networkable";
import { Stage } from "../Stage";
export interface CustomNetworkTransformData {
    seqId: number;
    position: Vector2;
    velocity: Vector2;
}
export declare class CustomNetworkTransform extends Networkable {
    static classname: "CustomNetworkTransform";
    classname: "CustomNetworkTransform";
    seqId: number;
    position: Vector2;
    velocity: Vector2;
    constructor(stage: Stage, netid: number, data?: DynamicBuffer | CustomNetworkTransformData);
    Deserialize(reader: DynamicBuffer, spawn?: boolean): void;
    Serialize(writer: DynamicBuffer, spawn?: boolean): void;
    static threshold: number;
    static seqIdGreaterThan(newSid: number, oldSid: number): boolean;
    static writeVector2(writer: DynamicBuffer, vector: Vector2): void;
    static readVector2(reader: DynamicBuffer): Vector2;
}
