import { Networkable } from "../Networkable";
import { DynamicBuffer } from "../../util/DynamicBuffer";
import { Stage } from "../Stage";
export declare enum PlayerDataFlags {
    Disconnected = 1,
    Impostor = 2,
    Dead = 4
}
export interface TaskState {
    taskIdx: number;
    completed: boolean;
}
export interface PlayerData {
    playerId: number;
    name: string;
    color: number;
    hat: number;
    pet: number;
    skin: number;
    flags: number;
    tasks: TaskState[];
}
export interface GameDataData extends Networkable {
    dirtyBit: number;
    players: Map<number, PlayerData>;
}
export declare class GameData extends Networkable {
    static classname: "GameData";
    classname: "GameData";
    dirtyBit: number;
    players: Map<number, PlayerData>;
    constructor(stage: Stage, netid: number, data?: DynamicBuffer | GameDataData);
    Deserialize(reader: DynamicBuffer, spawn?: boolean): void;
    Serialize(writer: DynamicBuffer, spawn?: boolean): void;
    static readPlayerData(reader: DynamicBuffer): PlayerData;
}
