"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeconSystem = exports.DeconState = void 0;
const Enums_1 = require("../../constant/Enums");
const SystemStatus_1 = require("./SystemStatus");
var DeconState;
(function (DeconState) {
    DeconState[DeconState["Enter"] = 1] = "Enter";
    DeconState[DeconState["Closed"] = 2] = "Closed";
    DeconState[DeconState["Exit"] = 4] = "Exit";
    DeconState[DeconState["HeadingUp"] = 8] = "HeadingUp";
})(DeconState = exports.DeconState || (exports.DeconState = {}));
class DeconSystem extends SystemStatus_1.SystemStatus {
    constructor(ship, data) {
        super(ship, data);
        this.systemType = Enums_1.SystemType.Decontamination;
    }
    Deserialize(reader, spawn) {
        if (!spawn) {
            this.timer = reader.byte();
            this.state = reader.byte();
        }
    }
    Serialize(writer, spawn) {
        if (!spawn) {
            writer.byte(this.timer);
            writer.byte(this.state);
        }
    }
}
exports.DeconSystem = DeconSystem;
DeconSystem.systemType = Enums_1.SystemType.Decontamination;
